## Apache Zeta Components Manual :: File Source for parser.php

## Source for file parser.php

Documentation is available at parser.php

1. <?php
2. /**
3. * File containing the ezcFeedParser interface.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package Feed
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * Interface for feed parsers.
30. *
31. * Currently implemented for these feed types:
32. * - RSS1 ({@link ezcFeedRss1})
33. * - RSS2 ({@link ezcFeedRss2})
34. * - ATOM ({@link ezcFeedAtom})
35. *
36. * The implementing classes must implement these methods:
37. * - canParse() - Returns true if the class can parse the provided XML document.
38. * - parse() - Parse the provided XML document and return an ezcFeed object.
39. *
40. * @package Feed
41. * @version //autogentag//
42. */
43. interface ezcFeedParser
44. {
45. /**
46. * Returns true if the parser can parse the provided XML document object,
47. * false otherwise.
48. *
49. * @param DOMDocument $xml The XML document object to check for parseability
50. * @return bool
51. */
52. public static function canParse ( DOMDocument $xml );
54. /**
55. * Parses the provided XML document object and returns an ezcFeed object
56. * from it.
57. *
58. * @throws ezcFeedParseErrorException
59. * If an error was encountered during parsing.
60. *
61. * @param DOMDocument $xml The XML document object to parse
62. * @return ezcFeed
63. */
64. public function parse ( DOMDocument $xml );
65. }
66. ?>

Documentation generated by phpDocumentor 1.4.3